Subject: Re: what can link.exe do that cygwin32-ld can't ?
From: [email-masked] (Mikey)

17 Jul 1997 20:32:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="--=_33cedd4c54188208aad679.MFSBCHJLHS"
Original-To: Ian Lance Taylor <[email-masked]>, [email-masked]
In-Reply-To: <[email-masked]>
X-Mailer: Forte Agent 1.01/32.397
Original-Sender: [email-masked]

----=_33cedd4c54188208aad679.MFSBCHJLHS
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Not that I can tell no, the only relocatable .dll that I have been
able to make since I switched to B18 is cygwin.dll.

Every other .dll that I have tried to link with cygwin.dll and with a .reloc section gives
unable to run XXX.exe

attached are GNUmakefiles for a project with a dll,
when linked using mingw32 and either 2pass or 3pass the .dll and .exe both work
correctly, when linked with -lcygwin the .exe always gives
an unable to run m:\path\demo.exe dialog box, the only difference
obviously is in the startup files, and the libc services provider.

The same project linked with a nonrelocateble dll will link/run
using either mingw32 or B18.

Also when linked with B17.1 using the 2pass method the dll and exe
both worked.

If anyone can tell me what I'm doing wrong I would appreciate
the comments, otherwise I would speculate that moving _reent_data
into cygwin.dll wasn't as good of an idea as was originally thought.

On Sun, 13 Jul 1997 20:26:49 -0700, you wrote:
>
>   and if so, does this fix makeing .reloc dll's & exe's
>   with B18?
>
>Doesn't that have more to do with running ld and dlltool multiple
>times?
>
>Ian

([email-masked])
Remove *&.nospam from the above to reply
         Mikey

----=_33cedd4c54188208aad679.MFSBCHJLHS
Content-Type: application/octet-stream; name=GNUmakefile
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=GNUmakefile

----=_33cedd4c54188208aad679.MFSBCHJLHS
Content-Type: application/octet-stream; name=GNUmakefile.2pass
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=GNUmakefile.2pass

----=_33cedd4c54188208aad679.MFSBCHJLHS
Content-Type: application/octet-stream; name=GNUmakefile.3pass
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=GNUmakefile.3pass

----=_33cedd4c54188208aad679.MFSBCHJLHS
Content-Type: application/octet-stream; name=cygwin32.mak
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=cygwin32.mak

----=_33cedd4c54188208aad679.MFSBCHJLHS--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".